"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = calcLinksToDisplay;

function calcLinksToDisplay(totalPages, currentPage, atBeginEnd, aroundCurrent, ellipsisMark) {
  var result = [];

  for (var page = 0; page < Math.min(atBeginEnd, totalPages); page++) {
    if (!result.includes(page)) result.push(page);
  }

  if (result.length !== 0) {
    var lastInLinks = result[result.length - 1];
    if (lastInLinks < Math.max(currentPage - aroundCurrent, 0) - 1) result.push(ellipsisMark);
  } else if (Math.max(currentPage - aroundCurrent, 0) > 0) result.push(ellipsisMark);

  for (var _page = Math.max(currentPage - aroundCurrent, 0); _page <= Math.min(currentPage + aroundCurrent, totalPages - 1); _page++) {
    if (!result.includes(_page)) result.push(_page);
  }

  if (result.length !== 0) {
    var _lastInLinks = result[result.length - 1];

    if (_lastInLinks < Math.max(totalPages - atBeginEnd, 0) - 1 && _lastInLinks !== ellipsisMark) {
      result.push(ellipsisMark);
    }
  }

  for (var _page2 = Math.max(totalPages - atBeginEnd, 0); _page2 <= totalPages - 1; _page2++) {
    if (!result.includes(_page2)) result.push(_page2);
  }

  return result;
}